#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,200,240,280,320,680,1040,1200,1240,1280,1320,1360,1400,2800
 * N : 25,160,200,240,280,320,680,1040,1200,1240,1280,1320,1360,1400,2800
 * NB : 9,8,8,32,40,76,56,48,40,48,64,40,80,80,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 9; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 32; \
   else if ((n_) < 300) (nb_) = 40; \
   else if ((n_) < 500) (nb_) = 76; \
   else if ((n_) < 860) (nb_) = 56; \
   else if ((n_) < 1120) (nb_) = 48; \
   else if ((n_) < 1220) (nb_) = 40; \
   else if ((n_) < 1260) (nb_) = 48; \
   else if ((n_) < 1300) (nb_) = 64; \
   else if ((n_) < 1340) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
