#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,280,320,360,520,800,840,880,920,1080,2200
 * N : 25,120,240,280,320,360,520,800,840,880,920,1080,2200
 * NB : 4,8,8,8,8,12,12,12,40,24,48,32,56
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 340) (nb_) = 8; \
   else if ((n_) < 820) (nb_) = 12; \
   else if ((n_) < 860) (nb_) = 40; \
   else if ((n_) < 900) (nb_) = 24; \
   else if ((n_) < 1000) (nb_) = 48; \
   else if ((n_) < 1640) (nb_) = 32; \
   else (nb_) = 56; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
